Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1364753 - kde-print-manager FTBFS against cups-2.2
Summary: kde-print-manager FTBFS against cups-2.2
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kde-print-manager
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Rex Dieter
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-08-07 01:34 UTC by Rex Dieter
Modified: 2016-09-18 17:44 UTC (History)
4 users (show)

Fixed In Version: kde-print-manager-16.08.1-1.fc25
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-09-18 17:44:16 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
KDE Software Compilation 366483 None None None 2016-08-07 01:34:50 UTC

Description Rex Dieter 2016-08-07 01:34:51 UTC
Seems cups-2.2 changed api, and results in print-manager build failures.

/builddir/build/BUILD/print-manager-16.07.90/libkcups/KCupsRequest.cpp: In member function 'void KCupsRequest::getPrinterPPD(const QString&)':
/builddir/build/BUILD/print-manager-16.07.90/libkcups/KCupsRequest.cpp:284:75: error: 'cupsGetPPD2' was not declared in this scope
             filename = cupsGetPPD2(CUPS_HTTP_DEFAULT, printerName.toUtf8());
                                                                           ^
libkcups/CMakeFiles/kcupslib.dir/build.make:237: recipe for target 'libkcups/CMakeFiles/kcupslib.dir/KCupsRequest.cpp.o' failed

Comment 1 Rex Dieter 2016-09-12 17:02:59 UTC
Fixed in rawhide

Comment 2 Fedora Update System 2016-09-12 18:27:05 UTC
kde-print-manager-16.08.1-1.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2016-527978e090

Comment 3 Fedora Update System 2016-09-14 03:25:20 UTC
kde-print-manager-16.08.1-1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-527978e090

Comment 4 Fedora Update System 2016-09-18 17:44:14 UTC
kde-print-manager-16.08.1-1.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.